Mise à jour Wapt Client

Share here your experience and thought about WAPT / Venez ici parlez de votre expérience avec Wapt, votre avis et vos envies
Règles du forum
Règles du forum
* English support on www.reddit.com/r/wapt
* Le support en français se fait sur ce forum
* Merci de préfixer le titre du thread par [RESOLU] s'il est résolu.
* Préciser version de WAPT installée ( 1.3.13 / 1.5 / 1.7.4)
* Préciser OS du serveur (Linux / Windows) et version (Debian Stretch/Buster - CentOS 7 - Windows Server 2012/2016/2019)
* Préciser OS de la machine d'administration/création des paquets (Windows 7 / 10)
cedre2
Messages : 10
Inscription : 10 avr. 2017 - 13:18

10 avr. 2017 - 13:24

Bonjour,

Je cherche à mettre à jour le fichier Wapt-get.ini sur tous les postes de mon parc pour y intégrer le
allow_cancel_upgrade=0 qui me permet de forcer les mises à jours à l'extinction du PC.

Pour cela je le modifie directement sur le serveur le fichier .ini puis genère un client via la console qui me crée automatiquement un nouveau dépot privé "upgrade du client". Cependant, lorsque que je le déploie sur les PCs client le fichier wapt-get.ini n'est pas modifié et l'utilisateur peut toujours annulé les mise à jours.

Any ideas ?
Avatar de l’utilisateur
sfonteneau
Expert WAPT
Messages : 930
Inscription : 10 juil. 2014 - 23:52
Contact :

10 avr. 2017 - 14:49

Bonjour

Le waptagent n'embarque pas cette conf, ou alors il faut modifier le fichier ... c:\wapt\waptsetup\waptsetup.iss Puis régénérer un agent.

Le plus simple reste encore de pousser la configuration post-installation, exemple de paquet qui le fait :
https://wapt.tranquil.it/package_detail ... 6_all.wapt

Simon Fonteneau
cedre2
Messages : 10
Inscription : 10 avr. 2017 - 13:18

11 avr. 2017 - 14:04

Merci beaucoup !

C'est exactement ce que j'avais besoin je n'avais pas vu ce paquet.

Merci :)
cedre2
Messages : 10
Inscription : 10 avr. 2017 - 13:18

11 avr. 2017 - 15:16

sfonteneau

--- > j'ai testé ton paquet avant de le déployer, il fonctionne mais je n'ai pas le "allow_cancel_upgrade=0" mais "notify_user=0" dans le fichier wapt-get.ini. es ce la meme chose ? sachant que ce "notify_user" n'apparait dans aucune doc sur le site.
Avatar de l’utilisateur
agauvrit
Expert WAPT
Messages : 220
Inscription : 17 nov. 2016 - 10:25
Localisation : Nantes
Contact :

11 avr. 2017 - 15:55

Bonjour,

"allow_cancel_uprade" n'est pas défini dans la liste des attributs de wapt-conf-policy :

Code : Tout sélectionner

print('Modify max_gpo_script_wait')
inifile_writestring(WAPT.config_filename,'global','max_gpo_script_wait',180)

print('Modify Preshutdowntimeout')
inifile_writestring(WAPT.config_filename,'global','pre_shutdown_timeout',180)

print('Disable Hyberboot')
inifile_writestring(WAPT.config_filename,'global','hiberboot_enabled',0)

print('Disable Notify User')
inifile_writestring(WAPT.config_filename,'global','notify_user',0)
Vous pouvez en revanche modifier le paquet pour le définir.

Code : Tout sélectionner

print('Disable Upgrade Cancellation')
inifile_writestring(WAPT.config_filename,'global','allow_cancel_upgrade',0)
Ca devrait répondre a votre attente.
sachant que ce "notify_user" n'apparait dans aucune doc sur le site.
Effectivement il n'est pas dans la documentation WAPT, ce sera chose faite prochainement

Cordialement,

Alexandre
cedre2
Messages : 10
Inscription : 10 avr. 2017 - 13:18

12 avr. 2017 - 08:17

Merci oui effectivement c'est ce que j'ai fait.

Je me suis laissé avoir par la description du paquet qui indiquait que le "allow_cancel_upgrade =0 " était renseigné sans prendre la peine de vérifier le script au préalable.

Merci beaucoup de votre réactivité !
Répondre